import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  gensignInfo: `/api/onlive/user/gensign`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async gensignFetch({ commit }, payload) {
    const res = await this.$axios.$post(`${api.gensignInfo}`, payload);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
